STRCAT(3)

NAME
strcat - concatenate two strings without bounds checking

SYNOPSIS
#include <string.h>
char *
strcat(char *dst, const char *append);

DESCRIPTION
The strcat() function appends a copy of the NUL-terminated string append to the end of the NUL-terminated string dst, then adds a terminating ‘\0’.

No bounds checking is performed. If the buffer dst is not large enough to hold the result, subsequent memory will be damaged.

RETURN VALUES
The strcat() function return the pointer dst.

SEE ALSO
strlcpy(3), wcscat(3), wcslcpy(3)

STANDARDS
The strcat() function conforms to ansiC.

HISTORY
The strcat() function first appeared outside of Bell Labs in PWB/UNIX 1.0.